# $Id: kdemultimedia.spec,v 1.45 2004/10/01 20:16:49 rexdieter Exp $

%define aurox_ver 10.1
%define rel 4

%define kdelibs_ver 6:%{version}

# alsa: Default to --with-alsa, unless built: --without alsa 
%{!?_without_alsa:%define _with_alsa --with-arts-alsa }

#define redhatify 0
%define appdir %{_datadir}/applications/kde

%define is_release 2

Summary: Multimedia applications for the K Desktop Environment (KDE)
Name: 	 kdemultimedia
Group:   Applications/Multimedia
Epoch:	 6
Version: 3.3.1
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.3.1/src/kdemultimedia-3.3.1.tar.bz2
URL:     http://multimedia.kde.org/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: kdelibs >= %{kdelibs_ver}
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
BuildRequires: libtool
%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif

BuildRequires: audiofile-devel
BuildRequires: cdparanoia-devel
BuildRequires: libvorbis-devel >= 1:1.1.0
Requires: libvorbis >= 1:1.1.0
BuildRequires: jasper-devel
BuildRequires: taglib-devel
BuildRequires: flac-devel
BuildRequires: libmusicbrainz-devel >= 0:2.0
#BuildRequires: libtunepimp-devel 
BuildRequires: alsa-lib-devel
BuildRequires: speex-devel

%{!?redhatify:BuildRequires: libmad-devel}
#%{!?redhatify:BuildRequires: lame-devel}
# TODO
#BuildRequires: gstreamer/gst, 

Patch0: kde-libtool.patch
## kde-redhat patches
# increase buffers to minimize audio cut-outs:
# http://bugs.kde.org/show_bug.cgi?id=74744
Patch1000: kdemultimedia-3.2.2-mpeglib-buffer.patch
# hack to get libaudiocd ogg/vorbis support to compile on rh90/el3
# http://bugs.kde.org/show_bug.cgi?id=88106
Patch1001: kdemultimedia-3.3.0-88106.patch
Patch1002: kdemultimedia-3.3.0-vorbis.patch

Obsoletes: %{name}-libs < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-brahms < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-arts < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kfile < %{epoch}:%{version}-%{release}
Obsoletes: aktion < %{epoch}:%{version}-%{release}
Obsoletes: kaboodle < %{epoch}:%{version}-%{release}
Obsoletes: noatun < %{epoch}:%{version}-%{release}
Obsoletes: kmid < %{epoch}:%{version}-%{release}
Obsoletes: kmidi < %{epoch}:%{version}-%{release}
Obsoletes: kmix < %{epoch}:%{version}-%{release}
Obsoletes: koncd < %{epoch}:%{version}-%{release}
Obsoletes: kscd < %{epoch}:%{version}-%{release}
Obsoletes: juk < %{epoch}:%{version}-%{release}

Provides: %{name}-libs = %{epoch}:%{version}-%{release}
Provides: %{name}-arts = %{epoch}:%{version}-%{release}
Provides: %{name}-kfile = %{epoch}:%{version}-%{release}
Provides: kaboodle = %{epoch}:%{version}-%{release}
Provides: noatun = %{epoch}:%{version}-%{release}
Provides: kmid = %{epoch}:%{version}-%{release}
Provides: kmix = %{epoch}:%{version}-%{release}
Provides: kscd = %{epoch}:%{version}-%{release}
Provides: juk = %{epoch}:%{version}-%{release}


%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdemultimedia package contains multimedia applications for
KDE, including:
  kmid, a midi player
  kmix, a mixer; and kscd, an audio CD player
  arts, additional functionality for the aRts sound system
  kaboodle, a media player
  noatun, a media player
  krec, a recording tool
  kscd, a Audio-CD player
  kaudiocreator, a graphical frontend for audio file creation 


%package devel
Summary: Development files for aRts plugins
Group: Development/Libraries
Requires: kdelibs-devel >= %{kdelibs_ver}
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Development files for aRts and noatun plugins.
Install kdemultimedia-devel if you wish to develop or compile any
applications using aRtsbuilder, aRtsmidi, aRtskde, aRts modules or
noatun plugins.

#%if "%{?redhatify}" != "1"
#%package xine_artsplugin 
#Summary: xine_artsplugin 
#Group:	 Applications/Multimedia 
#Requires: %{name} = %{epoch}:%{version}
#BuildRequires: xine-lib-devel >= 0:1.0
#%description xine_artsplugin
#xine_artsplugin
#%endif


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch1000 -p1 -b .74744
#patch1001 -p1 -b .88106
%patch1002 -p1 -b .vorbis

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

DO_NOT_COMPILE=""
%{?redhatify:export DO_NOT_COMPILE="$DO_NOT_COMPILE mpeglib mpeglib_artsplug mpg123_artsplugin"}
%{?redhatify:export DO_NOT_COMPILE="$DO_NOT_COMPILE xine_artsplugin"}

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --disable-motif \
  --with-motif-includes=none \
  --with-motif-libraries=none \
  --disable-xaw \
  --without-lame \
  %{?_with_alsa} %{?_without_alsa} \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags} 
make %{?_smp_mflags} -C doc
make %{?_smp_mflags} -C kioslave/audiocd/kcmaudiocd
make %{?_smp_mflags} -C kaudiocreator


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT
make -C doc install DESTDIR=$RPM_BUILD_ROOT
make -C kioslave/audiocd/kcmaudiocd install DESTDIR=$RPM_BUILD_ROOT 
make -C kaudiocreator install DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
  [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

#if "%{?redhatify}" == "1"
for f in $RPM_BUILD_ROOT%{appdir}/*.desktop ; do
  echo "OnlyShowIn=KDE;" >> $f
done
#endif

## remove unpackaged files
# unwanted shared-lib .la's (skip for now -- Rex)
#rm -f $RPM_BUILD_ROOT%{_libdir}/lib{arts*,noatun,workman,yaf*}.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/*
# Own dir(s) until owned by kdelibs? -- Rex
/etc/xdg/menus/applications-merged
%{_datadir}/desktop-directories
%{_datadir}/apps/*
%{_datadir}/autostart/*.desktop
%{_datadir}/config.kcfg
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/applications/kde/*
%{_libdir}/mcop/*
%{_libdir}/*.la
%{_libdir}/*.so*
%{_libdir}/kde3/*
%lang(en) %{_docdir}/HTML/en/*
#files xine_artsplugin
#defattr(-,root,root,-)
%{_datadir}/apps/videothumbnail
%{_datadir}/services/videothumbnail.desktop
%{_libdir}/kde3/videothumbnail.*
%{_libdir}/libarts_xine*
%{_libdir}/mcop/xine*PlayObject.mcopclass

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
#{_libdir}/lib*.a


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Nov 04 2004 Aurox Team <aurox@aurox.org> 6:3.3.1-10.1.aur.4
- Upgrade to 3.2.3.
- 3.2.2, build with SDL
- our name
- patch and library in make
- without mpeg
- cdparanoia found
- taglib
- some alternative namings fixed
- first try for Aurox 9.4

* Tue Oct 05 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.0.kde
- 3.3.1

* Wed Sep 29 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.2.kde
- BR: libtunepimp-devel (musicbrainz support for juk)

* Wed Sep 08 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.1.kde
- include better/cleaner vorbis patch

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0
- fix build (libvorbisenc linking) on rh90/el3 (kde bug #88106)

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.0.kde
- 3.2.92

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.3-1.0.kde
- 3.2.3

* Fri May 21 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-2.1.kde
- increase mpeglib buffers (kde bug #74744)
- fix mp3 distortions (kde bug #80497)

* Tue May 18 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-2.0.kde
- FC2

* Wed May 05 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- cleanup KDE/GNOME menu
- add obsolete juk

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.2-0.fdr.0
- 3.2.2
- BuildRequires: libmusicbrainz >= 2.1 (not strictly, but we want
  the latest version)

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.1
- respin

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.1-0.fdr.0
- 3.2.1

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.3
- rh73: rebuild to get juk back

* Wed Feb 11 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.2
- BuildRequires: libmusicbrainz-devel, trm

* Fri Feb 06 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.1
- BuildRequires: taglib-devel (for juk)
- BuildRequires: flac-devel

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 6:3.2.0-0.fdr.0
- 3.2.0

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 6:3.1.95-0.fdr.1
- BuildRequires: jasper-devel
- 3.1.95

* Sun Dec 14 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.94-0.fdr.0
- 3.1.94

* Tue Nov 25 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.2
- respin

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.1
- rebuild against qt-3.2.2

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.3-0.fdr.0
- 3.1.3

* Mon Jul 14 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.2
- fix kmix desktop file.

* Fri Jun 27 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.1
- rebuild against newer arts.

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 6:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.
- alsa support still broken (kde bug #39574)

* Wed Apr 23 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.2
- include (previously unpackaged) .la files.

* Tue Apr 22 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.1
- patch so kmix doesn't unconditionally use libasound (kde bug #54600)
- gut gccver(sioning)
- gut non-monolithic parts. 

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Wed Apr 07 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.4
- rh80 and newer: alsa support, no, doesn't work: (kde bug #39574)
  disabled till fixed.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.1
- include streaming patch(es) from 
  http://rambo.its.tudelft.nl/~ewald/xine/
- xine_artsplugin problems seem to be fixed, we'll (again) default
  to enabled.

* Thu Mar 20 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-2.0
- use epochs in Obsoletes/Provides/Requires.
- sync to rawhide 3.1-2

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-2
- fixed arts bug #82750, requires rebuild of kdemultimedia
- fixed reqs

* Fri Feb 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.5
- disable xine_artsplugin, due to problems (hanging arts processes).
- We'll try experimenting with xine-lib 1.0 and/or making separate
  kdemultimedia-xine_artsplugin package.

* Fri Jan 31 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- kde-redhat versioning

* Thu Jan 30 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- Requires: cdparanoia -> cdparanoia-libs
- fix xine support

* Tue Jan 28 2003 Rex Dieter <rdieter at unl.edu> 3.1-1
- 3.1 release.
